Bug 489240 - A massive series of segfaults reported by ld-linux-x86-64
A massive series of segfaults reported by ld-linux-x86-64
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-08 21:52 EDT by Michal Jaegermann
Modified: 2009-03-16 18:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-16 18:25:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a log fragment with a sequence of segfaults (12.26 KB, text/plain)
2009-03-08 21:52 EDT, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2009-03-08 21:52:41 EDT
Created attachment 334459 [details]
a log fragment with a sequence of segfaults

Description of problem:

I only noticed now but in my log I found 71 segfaults happening in a quick succession on 2009-03-02 15:11.  All of them like
"ld-linux-x86-64[7172]: segfault at ...".  glibc in use was installed a day earlier.

A corresponding log fragment is attached.  On a rawhide installation I have cores enabled so this dumped corresponding cores into my / but I am not
really sure what to do with these.
  
Version-Release number of selected component (if applicable):
glibc-2.9.90-8.1.x86_64

How reproducible:
See below.

Additional info:
Nothing like that happened later but it turned out that a similar incident
took place also 2009-02-19 14:21.  This was right after an update to glibc-2.9.90-7 and the first time something of that sort happened.

On the same machine I am booting also other systems, like Fedora 9 or Fedora 10 and I never observed there something of that sort.
Comment 1 Ulrich Drepper 2009-03-16 16:52:07 EDT
Try using a different kernel.  I had problems of this kind with a specific kernel version.
Comment 2 Michal Jaegermann 2009-03-16 17:32:41 EDT
> Try using a different kernel.

I am - by a virtue of a churn on rawhide. :-)

> I had problems of this kind with a specific kernel version.

I did not have any further incidents of that sort after March 2nd and the previous one is now a nearly month old.  You are likely right that these were kernel versions but those specific kernels are now long gone from my system.
Comment 3 Ulrich Drepper 2009-03-16 18:25:50 EDT
I'm closing this bug.  If there are still problems like this, test different kernel versions.  If this fixes the issue, obviously it's a kernel bug and not a glibc issue.  If no kernel works, reopen this bug with a detailed description.

Note You need to log in before you can comment on or make changes to this bug.